<!doctype html>
<html lang=fr>
	<!--V5 Summer2016-->

	<?php									
		session_start(); // On récupére les données de la session
	?>

	<head>
		<title>Modification SP</title>
		<meta charset=utf-8> <meta name=viewport content="width=device-width, initial-scale=1">
		<link rel="stylesheet" href="nogstyle.css">
	</head>
	
	<body>
		<header>
			<?php 
				include('includes/header_simple.inc');
				echo'<h3>'.$_SESSION['PrenomAct'].' '.$_SESSION['NomAct'].'&nbsp;-&nbsp; '.$_SESSION['NomEtab'].'</h3>';
				
				$autorisation = intval($_SESSION['Autorisation']);  // On récupère le niveau d'autorisation en entier.					
				if ($autorisation ==0)
				{
					include('includes/menu_etudiant.inc');//etudiant
				}
				elseif ($autorisation ==1)
				{
					include('includes/menu_prof.inc');
				}
				else
				{
					echo "PAGE ATTEINTE PAR ERRUER";
					header("Location: index.php"); // Si l'acteur de la session n'est pas un étudiant/prof on retourne à l'accueil'
					exit();
				}
			?>
		</header>
		<article>
			<?php
				require ('connect/mysqli_connect.php');	
				
				if ( (isset($_GET['id'])) && (is_numeric($_GET['id'])) ) // On vient d'une autre page avec le GET
				{
					if ($autorisation==0) 	//Si Etudiant -  On verifie que le num de la SP appartient à l'étudiant*/
					{	
						$spmod=$_GET['id'];
						$q= "SELECT *
						     FROM situationpro 
						     WHERE NumSP='$spmod' 
						     AND ValideSP='Non' 
						     AND  NumEt='".$_SESSION['NumAct']."';	";
						
						$result = mysqli_query ($dbcon, $q) or die ("erreur sql"); 
						// Check the result:
						$r=@mysqli_num_rows($result);
						if ($r != 1)
						{
							echo "Numero de la SP modifiée, ERREUR";
							
							header("Location: index.php");
							exit();	
						}
						else
						{
							$_SESSION['spmodifiee']=$_GET['id'];
							echo 'Numéro de la SP modifiée: '.$_SESSION['spmodifiee'];
						}
					}	
					elseif($autorisation==1) // Si on vient de prof on récupère le nom de l'étudiant
					{
						$_SESSION['spmodifiee']=$_GET['id'];
						// Select eTUDIANT  dont la SP est modifiée
						$q = "SELECT NomAct, PrenomAct
						FROM acteur,situationpro
						WHERE acteur.NumAct=situationpro.NumEt
						AND situationpro.NumSP='".$_SESSION['spmodifiee']."';";	
						$result = mysqli_query ($dbcon, $q) or die ("erreur sql"); 
						// Check the result:
						$r=@mysqli_num_rows($result);
						if ($r == 1)
						{     //On récupère les valeurs du SELECT dans un tableau $Compte	 
							$COMPTE = mysqli_fetch_array ($result, MYSQLI_BOTH);
							echo'<h3>Modification Situation pro '.$COMPTE[0].' '.$COMPTE[1].'</h3>';
						}
						else
						{
							echo 'Erreur recup infos select';
						}
					}
					else 	
					{	
						echo "PAGE ATTEINTE PAR ERREUR";
						header("Location: index.php"); // Si l'acteur de la session n'est pas un étudiant on retourne à l'accueil'
						exit();
					}			
				}	
				///////////////////////////////////////			
				
				elseif ($_SERVER['REQUEST_METHOD'] == 'POST')// Récup données rentrées ds le formulaire"
				{
					$Identification= mysqli_real_escape_string($dbcon, $_POST['Identification']);
					$Intitule= mysqli_real_escape_string($dbcon, $_POST['Intitule']);
					$Periode= mysqli_real_escape_string($dbcon, $_POST['Periode']);
					$Modalite= mysqli_real_escape_string($dbcon, $_POST['Modalite']);
					$ConditionReal= mysqli_real_escape_string($dbcon, $_POST['ConditionReal']);
					$Problematique= mysqli_real_escape_string($dbcon, $_POST['Problematique']);
					$Conditions= mysqli_real_escape_string($dbcon, $_POST['Condition']);
					$Production= mysqli_real_escape_string($dbcon, $_POST['Production']);
					$Analyse=mysqli_real_escape_string($dbcon, $_POST['Analyse']);
					$Contribution=mysqli_real_escape_string($dbcon, $_POST['Contribution']);
					$Commentaire=mysqli_real_escape_string($dbcon, $_POST['Commentaire']);
					$ConditionReal=trim($ConditionReal);
					$Problematique=trim($Problematique);
					$validesp="Non";
					
					// Pas de vérif prévue
					if ($_POST['VALID']== "Elire la SP")
					{
						$validesp="Oui";
					}
					else
					{
						$validesp="Non";
					}
					
					
					// on met à jour la Bdd'	
					$q = "UPDATE situationpro SET IdentificationSP= '$Identification', IntituleSP='$Intitule',ProductionSP='$Production',ConditionsSP='$Conditions', PeriodeSP='$Periode', ModaliteSP ='$Modalite', ConditionRealSP='$ConditionReal',ProblematiqueSP='$Problematique', AnalyseSP='$Analyse', ContribSP='$Contribution', ValideSP='$validesp',CommentaireProf='$Commentaire' WHERE NumSP='".$_SESSION['spmodifiee']."';";					
					$result = @mysqli_query ($dbcon, $q);
					
					if ($_POST['VALID']== "Ajouter une activité")
					{
						header("Location: sp_activite_ajout.php?");
					}
					
					if (mysqli_affected_rows($dbcon) == 1) // SI mise à jour OK
					{
						echo '<p class="alert succes">MISE A JOUR REUSSIE &nbsp;<br/>';
					}
					else // pas de mise à jour
					{
						echo '<p class="alert echec">La SP n\'a pas été modifiée &nbsp;<br/>';	
					}		
					// RETOUR page en cas de validation ou non
					if ($autorisation == 0)
					{
						echo'<a class="bouton10" href="sp_liste.php?">OK</a></p>';	
					} 
					elseif ($autorisation == 1)
					{
						echo'<a class="bouton10" href="prof_toutesles_sp.php?id='.$_SESSION['sessionex'].'" >OK</a></p>';	
					}
				
					
					if ($_POST['VALID']== "PDF Fiche E42")	
					{
						$numsp=$_SESSION['spmodifiee'];
						header("Location: sp_e42_pdf.php?id=$numsp");
					}
					if ($_POST['VALID']== "PDF Fiche E5")	
					{
						$numsp=$_SESSION['spmodifiee'];
						header("Location: sp_e5_pdf.php?id=$numsp");
					}
					
					
				}
				else
				{
					echo 'ERREUR'	;
					echo 'Ni get ni post ???????';
					echo'<a href="index.php?" class="bouton">OK</a></p>';
					header("Location: index.php"); 
					exit();
					
				}

				////////////////// Select la sp	////////////////////////////////////
				// 
				$q = "SELECT NumSP, IntituleSP,IdentificationSP, PeriodeSP, ModaliteSP, ConditionrealSP, ValideSP,ProblematiqueSP, ConditionsSP, ProductionSP, AnalyseSP, ContribSP,CommentaireProf, NumEt
				      FROM situationpro 
				      WHERE NumSP='".$_SESSION['spmodifiee']."' ";	
				$result = @mysqli_query ($dbcon, $q);
				$row = mysqli_fetch_array ($result, MYSQLI_BOTH);
				
			?>
			<!--=============CREATION DU FORMULAIRE=====================================-->
			<form action="sp_modif.php" method="post">
				
				<fieldset>
					
					<table style="border: 3px double #333399; width:80%;background-color:#D4C186;margin:auto">
						<tr><td style="text-align: center">
							<input id="submit" type="submit" name="VALID" value="Mettre à jour la SP">
							<input id="submit" type="submit" name="VALID" value="PDF Fiche E42">
							<input id="submit" type="submit" name="VALID" value="PDF Fiche E5">
							<?php
								if ($autorisation==1)
								{
									echo'<input id="submit" type="submit" name="VALID" value="Elire la SP">';
								}
							?>
						</td></tr>
						
						<tr><td>
							<p class="labelg"> Conseils du professeur</p>
							
							<br/><br/>
				
							<?php
								if ($autorisation==0) // SI Etudiant zone non modifiable
								{
									echo'<textarea readonly name="Commentaire" rows="3" cols="130" style="background-color:#fcfdc8;color: red;">'.$row['CommentaireProf'].'</textarea>';
								}
								else	
								{
									echo'<textarea name="Commentaire" rows="3" cols="130" style="background-color:#fcfdc8;	color: red;">'.$row['CommentaireProf'].'</textarea>';
								}
							?>
							
						</td></tr>
					</table>
					
					<p><h3>DESCRIPTION DE LA SITUATION PROFESSIONNELLE</h3></p>
					
					<table style="border: 3px double #333399; width:80%;background-color:#D4C186;margin:auto">
						<tr>
							<td width="40%">
								<p> 
									<label class="label130d" for="Identification">  Identification SP</label>
									<input type="text" name="Identification" size="10" maxlength="10" placeholder="Ex: SP01" value="<?php echo $row['IdentificationSP']; ?>" required>
									<i>&nbsp;(10 caractères maxi) </i>
								</p>
								
								
								<p>
									 <label class="label130d" for="Periode"> Période </label>
									<input type="text" name="Periode" size="10" maxlength="10" placeholder="Ex: Juin 20NN"value="<?php echo $row['PeriodeSP']; ?>" required>
									<i>&nbsp;(10 caractères maxi) </i>
								</p>	
								<p>
									<label class="label130d" for="Valide"> Validé</label>
									<input class="fl-left" type="text"disabled name="Valide" size="3"  value= "<?php echo $row[6]; ?>" >
								</p>	
							</td>
							<td>
							
								<label class="label130g" for="Cond"> Réalisation </label>
								<p>
									<?php
										if ($row['ConditionsSP'] == 'Observation')
				    					{
				    						$Obs_checked = 'checked' ;
											$Auto_checked = '' ;
											$Acc_checked=''; 
										}
				    					elseif ($row['ConditionsSP'] == 'Autonomie')
				    					{
											$Obs_checked = '' ;
											$Auto_checked = 'checked' ;
											$Acc_checked=''; 						
										}	
										else
										{
											$Obs_checked = '' ;
											$Auto_checked = '' ;
											$Acc_checked='checked';
										}
										echo"<br><INPUT type= 'radio' name='Condition' value='Observation' $Obs_checked > Observation ";
										echo"<br><INPUT type= 'radio' name='Condition' value='Autonomie' $Auto_checked > En Autonomie";
										echo"<br><INPUT type= 'radio' name='Condition' value='Accompagnée' $Acc_checked > Accompagnée<br>";
									?>
								</p>
							</td>	
							
							<td>
								<label class="label130g" for="Moda"> Modalités </label>
								<p>
									<?php
										if ($row['ModaliteSP'] == 'Pendant la formation en établissement')
				    					{
				    						$Eta_checked = 'checked' ;
											$Avt_checked = '' ;
											$Ent_checked=''; 
										}
				    					elseif ($row['ModaliteSP'] == 'Avant la formation')
				    					{
											$Eta_checked = '' ;
											$Avt_checked = 'checked' ;
											$Ent_checked=''; 						
										}	
										else
										{
											$Eta_checked = '' ;
											$Avt_checked = '' ;
											$Ent_checked='checked';
										}
										echo"<br><INPUT type= 'radio' name='Modalite' value='Avant la formation' $Avt_checked >Avant la formation<br>";
										echo"<INPUT type= 'radio' name='Modalite' value='Pendant la formation en établissement' $Eta_checked >Pendant la formation en établissement<br>";
										echo"<INPUT type= 'radio' name='Modalite' value='Pendant la formation en entreprise' $Ent_checked > Pendant la formation en entreprise<br>";
									?>
								</p>
							</td>
						</tr>
						
						<tr>
							<td colspan=3>
								<label class="labelg"for="Intitule1"> Intitulé de la SP</label>
								<br/>
								<textarea name="Intitule" rows="1" cols="130" placeholder="Ex: Tenue compte clients" required ><?php echo $row['IntituleSP']; ?></textarea>
							</td>
						</tr>
						
						<tr>
							<td colspan=3>
								<label class="labelg" for="Problème de gestion"> Problème de gestion</label>
								<br/>
								<textarea name="Problematique" rows="2" cols="130" placeholder="Ex:Se tenir à jour des échéances fournisseur à payer pour prévoir la trésorerie." ><?php echo $row['ProblematiqueSP']; ?></textarea>											
							</td>	
						</tr>
						
						<tr>
							<td colspan=3>
								<label class="labelg" for="ConditionReal"> Conditions de réalisation : <FONT SIZE=-1> <I>(ressources, organis. travail, contraintes, démarche…)</I></FONT></label>
								<br/>
								<textarea name="ConditionReal" rows="5" cols="130" placeholder="Ex: Utilisation du PGI pour interroger les comptes fournisseurs" ><?php echo $row['ConditionrealSP']; ?></textarea>
							</td>
						</tr>
						
						<tr>
							<td colspan=3>
								<label class="labelg" for="Production"> Productions réalisées </label><br>
								<textarea name="Production" rows="5" cols="130" placeholder="Ex Echeances.xls, diapo.pppt ..."><?php echo $row['ProductionSP']; ?></textarea>	
							</td>	
						</tr>
						<br>
					</table>
					
					<p><h3>ANALYSE</h3></p>
					
					<table style="border: 3px double #333399; width:80%;background-color:#D4C186;margin:auto">
						<tr><td>
							<p>
								<label class="labelg" for="Analyse"> Analyse de la situation  <FONT SIZE=-1><I>(choix effectués, démarches mises en œuvre, difficultés éventuelles, leçons à tirer…):</I></FONT></label>
								<textarea name="Analyse" rows="5" cols="130" placeholder="Ex:." ><?php echo $row['AnalyseSP']; ?></textarea>
							</p>
						</td></tr>
								
						<tr><td>
							<p>
								<label class="labelg"> Contribution de la situation professionnelle à la professionnalisation <FONT SIZE=-1><I>(Qu’ai-je appris ?; En quoi suis-je devenu plus professionnel ? ;  Et si c’était à refaire ?)</I></FONT></label>
								<textarea name="Contribution" rows="5" cols="130" placeholder="Ex:." ><?php echo $row['ContribSP']; ?></textarea>
							</p>
						</td></tr>
					</table>
					
					<p><h3>ACTIVITES ASSOCIEES</h3></p>
					
					<table style="border: 3px double #333399; width:80%;background-color:#D4C186;margin:auto">
						<tr><td>	
							<table>
							<p class="centre">
							<input id="submit" type="submit" name="VALID" value="Ajouter une activité">
							</p>	
							<br/>
								<?php			
									//Select des activités attachées à la sp
									$sql2= "SELECT correspondre.numActivite,libelleact FROM correspondre,activite WHERE correspondre.numActivite=activite.numact AND Numsp='".$_SESSION['spmodifiee']."';";	
									$result2 = @mysqli_query ($dbcon, $sql2)or exit('Erreur SQL ! '.$sql2. '<br />'.mysql_error());
									$NBLIGNE=@mysqli_num_rows($result2);
							
									// Afichage des activités
									
									If($NBLIGNE==0)
									{		
										echo '<tr><td>pas d\'activité associée</td></tr>';
									}
									else
									{
										$_SESSION['page']='sp_modif.php?id='.$_SESSION['spmodifiee'] ;
										echo '<tr><th>Activités</th><th>Supprimer</th></tr>';
										while ($col = mysqli_fetch_array($result2, MYSQLI_BOTH))
										{
											echo'<tr>';
											echo '<td>'.substr($col[1],0,180).'</td>';
											echo'<td height="30"><a class="bouton" href="sp_act_suppr.php?activite='. $col[0].'">&nbsp;<span class="iconic">x</span>&nbsp;</a></td>';
											echo'<tr>';
										}
									}
									$_SESSION['IntituleSP']=$row['IntituleSP']; // récup du nom de la SP sert dans sp_activite_ajout
								?>
							</table>
							<p style="text-align: center">
								<br/>
								<input id="submit" type="submit" name="VALID" value="Mettre à jour la SP">
								<input id="submit" type="submit" name="VALID" value="Impr Fiche E42">
								<input id="submit" type="submit" name="VALID" value="Impr Fiche E5">
								<?php
									if ($autorisation==1)
									{
										echo'<input id="submit" type="submit" name="VALID" value="Elire la SP">';
									}
							?>
							</p>
							<br/>
						</td></tr>
					</table>
				</fieldset>	
			</form>
		</article>
		<footer>
			<?php include ('includes/footer.inc'); ?>
		</footer>
	</body>
</html>